Bug 121383 - Severe time drift with SMP kernel
Summary: Severe time drift with SMP kernel
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-20 22:50 UTC by Alejandro Mota
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-15 23:31:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Default SMP boot log. (16.58 KB, text/plain)
2004-05-03 19:51 UTC, Alejandro Mota
no flags Details
Default SMP boot log. (16.58 KB, text/plain)
2004-05-03 19:54 UTC, Alejandro Mota
no flags Details

Description Alejandro Mota 2004-04-20 22:50:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040211 Firefox/0.8

Description of problem:
When using the SMP kernel on a Pentium 4 HT machine,
a severe time drift around 1/2 hour per day happens.
The drift increases significantly when running any application that
uses alsa, to around 5-10 minutes per hour. In both cases the clock
runs faster than normal.

This drift does not happen with the UP kernel.

Version-Release number of selected component (if applicable):
at least kernel-smp-2.6.4-1.300 to kernel-smp-2.6.5-1.332

How reproducible:
Always

Steps to Reproduce:
1. Boot with SMP kernel
2. Do nothing or run any program.
3. Using programs that require ALSA increases drift.
    

Actual Results:  Drift is quickly apparent by comparing the clock with
an accurate clock.

Expected Results:  Clock should be accurate withing milliseconds, as
it happens with the UP kernel.

Additional info:

This problem did not occur with the 2.4 kernels, both UP and SMP.

Machine is a Sager 5690 notebook, Pentium 4 HT 3.2 GHz, Intel
i865PE+ICH5 chipset, Intel 82801EB/ER AC'97 audio.

Comment 1 Alan Cox 2004-05-03 00:06:00 UTC
Does the option "acpi=off" make a difference here. Also can you attach
your boot up log of the problem system.


Comment 2 Arjan van de Ven 2004-05-03 10:09:06 UTC
Could well be a victim of the HZ=1000 stuff in 2.6
Are you running ntp ?

Comment 3 Alejandro Mota 2004-05-03 19:51:52 UTC
Created attachment 99924 [details]
Default SMP boot log.

Comment 4 Alejandro Mota 2004-05-03 19:54:28 UTC
Created attachment 99925 [details]
Default SMP boot log.

When I boot the machine with acpi=off, the kernel starts to boot, then it
prints the following messages:

ACPI: ACPI tables contain no PCI IRQ routing entries
PCI: Invalid ACPI-PCI IRQ routing table

and then it hard locks.

If I pass the option noapic to the kernel, it seems to work fine. I haven't
tried pci=noapic, which is an option I saw in an LKML email.

The situation happens regardless of whether I use NTP or not.


Note You need to log in before you can comment on or make changes to this bug.